var utamalink=(function(){
	var datalink=[];
	var jumlahbaris=1;
	var posisi=0;
	return{
		init:function(a){
			datalink=a['datalink'];
			jumlahbaris=a['jumlahbaris'];
			$("#box_linkterkait_main_"+posisi).addClass('box_linkterkait_main_baris_show');
		},
		back:function(){
			if(jumlahbaris==1) return;
			if(posisi>=jumlahbaris) posisi=0;
			if(posisi<0) posisi=jumlahbaris-1;
			
			var posnext=posisi+1;
			if(posnext>=jumlahbaris) posnext=0;
			if(posnext<0) posnext=jumlahbaris-1;
			
			
			$("#box_linkterkait_main_"+posisi).addClass('box_linkterkait_main_baris_hide');
			$("#box_linkterkait_main_"+posnext).removeClass('box_linkterkait_main_baris_rhide');
			$("#box_linkterkait_main_"+posnext).addClass('box_linkterkait_main_baris_show');
			
			var posantri=posnext+1;
			if(posantri>=jumlahbaris) posantri=0;
			if(posantri<0) posantri=jumlahbaris-1;
			
			console.log(posisi+" "+posnext+" "+posantri);
			document.getElementById("box_linkterkait_main_"+posantri).className="box_linkterkait";
			posisi=posisi+1;
		},
		next:function(){
			if(jumlahbaris==1) return;
			if(posisi<0) posisi=jumlahbaris-1;
			if(posisi>=jumlahbaris) posisi=0;
			
			var posback=posisi-1;
			if(posback<0) posback=jumlahbaris-1;
			if(posback>=jumlahbaris) posback=0;
			
			$("#box_linkterkait_main_"+posback).removeClass('box_linkterkait_main_baris_hide');
			$("#box_linkterkait_main_"+posback).addClass('box_linkterkait_main_baris_show');
			$("#box_linkterkait_main_"+posisi).addClass('box_linkterkait_main_baris_rhide');
			
			var posantri=posback-1;
			if(posantri<0) posantri=jumlahbaris-1;
			if(posantri>=jumlahbaris) posantri=0;
			
			document.getElementById("box_linkterkait_main_"+posantri).className="box_linkterkait_main_baris_r";
			
			posisi=posisi-1;
		},
	};
})();